K8s Integration test is unable to run because of the unavailable libs

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

K8s Integration test is unable to run because of the unavailable libs

wuyi
Hi devs,

It seems like the K8s Integration test is unable to run recently because of the unavailable libs:

Err:20 http://security.debian.org/debian-security buster/updates/main amd64 libldap-common all 2.4.47+dfsg-3+deb10u4
  404  Not Found [IP: 151.101.194.132 80]
Err:21 http://security.debian.org/debian-security buster/updates/main amd64 libldap-2.4-2 amd64 2.4.47+dfsg-3+deb10u4
  404  Not Found [IP: 151.101.194.132 80]
E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/o/openldap/libldap-common_2.4.47+dfsg-3+deb10u4_all.deb  404  Not Found [IP: 151.101.194.132 80]
E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/o/openldap/libldap-2.4-2_2.4.47+dfsg-3+deb10u4_amd64.deb  404  Not Found [IP: 151.101.194.132 80]

I alreay saw the error is many places, e.g., 

https://amplab.cs.berkeley.edu/jenkins/job/SparkPullRequestBuilder-K8s/40840/console

https://amplab.cs.berkeley.edu/jenkins/job/SparkPullRequestBuilder-K8s/40837/console

https://amplab.cs.berkeley.edu/jenkins/job/SparkPullRequestBuilder-K8s/40715/console

Could someone familiar with K8s please take a look?

Thanks,
Yi

Reply | Threaded
Open this post in threaded view
|

Re: K8s Integration test is unable to run because of the unavailable libs

Yikun Jiang
hey, Yi Wu

Looks like it's just an apt installation problem, we should do apt update to refresh the local package cache list before we install the "gnupg".

I opened a issue on jira [1] , and try to fix it in [2], hope this helps.


Yi Wu <[hidden email]> 于2021年3月22日周一 下午2:15写道:
Hi devs,

It seems like the K8s Integration test is unable to run recently because of the unavailable libs:

Err:20 http://security.debian.org/debian-security buster/updates/main amd64 libldap-common all 2.4.47+dfsg-3+deb10u4
  404  Not Found [IP: 151.101.194.132 80]
Err:21 http://security.debian.org/debian-security buster/updates/main amd64 libldap-2.4-2 amd64 2.4.47+dfsg-3+deb10u4
  404  Not Found [IP: 151.101.194.132 80]
E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/o/openldap/libldap-common_2.4.47+dfsg-3+deb10u4_all.deb  404  Not Found [IP: 151.101.194.132 80]
E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/o/openldap/libldap-2.4-2_2.4.47+dfsg-3+deb10u4_amd64.deb  404  Not Found [IP: 151.101.194.132 80]

I alreay saw the error is many places, e.g., 

https://amplab.cs.berkeley.edu/jenkins/job/SparkPullRequestBuilder-K8s/40840/console

https://amplab.cs.berkeley.edu/jenkins/job/SparkPullRequestBuilder-K8s/40837/console

https://amplab.cs.berkeley.edu/jenkins/job/SparkPullRequestBuilder-K8s/40715/console

Could someone familiar with K8s please take a look?

Thanks,
Yi